Bug 1594842 - capstone-python3 has wrong name
Summary: capstone-python3 has wrong name
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: capstone
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michal Ambroz
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-06-25 14:15 UTC by Marcel Plch
Modified: 2018-07-13 16:03 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-07-03 16:52:24 UTC


Attachments (Terms of Use)

Description Marcel Plch 2018-06-25 14:15:28 UTC
Description of problem:
capstone-python3 should be called python3-capstone.
RPM has automatic system of generating some provides based on the name.
https://fedoraproject.org/wiki/Packaging:Python#Automatic_Provides_with_a_standardized_name

Comment 1 Marcel Plch 2018-06-25 14:21:57 UTC
There was a misunderstanding, the automatic requires are based on files located in the package.
The name should be fixed based on this rule:
https://fedoraproject.org/wiki/Packaging:Naming?rd=Packaging:NamingGuidelines#Addon_Packages

Comment 2 Michal Ambroz 2018-06-26 12:06:31 UTC
I agree.
The python2 package was already renamed from capstone-python to python2-capstone.
I guess the same should happen with the capstone-python3 to be renamed to python3-capstone.

capstone-3.0.4-15.fc29.x86_64.rpm (info) (download)
capstone-devel-3.0.4-15.fc29.x86_64.rpm (info) (download)
capstone-python3-3.0.4-15.fc29.x86_64.rpm (info) (download)
python2-capstone-3.0.4-15.fc29.x86_64.rpm (info) (download)
capstone-debuginfo-3.0.4-15.fc29.x86_64.rpm (info) (download)
capstone-debugsource-3.0.4-15.fc29.x86_64.rpm (info) (download)

Comment 3 Michal Ambroz 2018-06-26 12:32:45 UTC
No packages are currently dependent on capstone-python, capstone-python3.
Should be easy to fix.

Comment 4 Michal Ambroz 2018-06-27 19:52:50 UTC
I have propagated the python package name change the same way as it was previously done for the python2 package - i.e. with the override/obsoletes link to the previous naming.

Comment 5 Fedora Update System 2018-06-27 19:54:10 UTC
capstone-3.0.4-16.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-9d80203d15

Comment 6 Fedora Update System 2018-06-27 20:39:02 UTC
capstone-3.0.4-16.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-0b84a6a665

Comment 7 Fedora Update System 2018-06-28 14:49:17 UTC
capstone-3.0.4-16.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-0b84a6a665

Comment 8 Fedora Update System 2018-06-28 15:05:01 UTC
capstone-3.0.4-16.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-9d80203d15

Comment 9 Fedora Update System 2018-07-03 16:52:24 UTC
capstone-3.0.4-16.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2018-07-13 16:03:14 UTC
capstone-3.0.4-16.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.